package model

import (
	"gorm.io/gorm"
	"gorm.io/plugin/optimisticlock"
)

type Article struct {
	gorm.Model
	Version      optimisticlock.Version
	Availability int
}

/*
func (a *Article) BeforeUpdate(tx *gorm.DB) (err error) {
	tx.Statement.Where("updated_at", a.UpdatedAt)
	return
}
*/
